Subject: Re: [PATCH 1/7] d80211: add SIOCSIWTXPOW, SIOCGIWTXPOW, SIOCSIWPOWER and SIOCGIWPOWER

From: Larry Finger <[email-masked]>
Date: Fri, 22 Sep 2006 08:24:23 -0500

Jiri Benc wrote:
> Thu, 21 Sep 2006 15:39:40 -0700, mabbas pise:
>> if the stack handle it then no need to know. When I call 
>> ieee80211_register_hw with driver's channel, rate and txpower info. the 
>> txpower values are overwritten by ieee80211_init_client. I get all the 
>> txpower info from EEPROMin the NIC and they are different that what 
>> d80211 default to. Is there is away to keep the value the driver passed 
>> in ieee80211_register_hw?
> 
> Well, there is still a work to do here. See Larry Finger's proposal,
> http://www.spinics.net/lists/netdev/msg05623.html - it's not ideal, there
> are some problems with its design, but it's probably the way to go.

That project is on hold now, but I'm willing to share the information I have and to participate in 
further developments.

Larry